024-82 00 778 info@aabeve.nl

Gaat update WordPress voor problemen zorgen?

WordPress is het meest gebruikte content management systeem om websites te maken en te onderhouden en toch werd het platform pas in 2003 opgericht. Momenteel draait zo’n 40% van alle websites wereldwijd op WordPress. Het is een gratis systeem met gratis thema’s en gratis plug-ins voor ongekende mogelijkheden. Daarnaast zijn er ook honderden prachtige betaalde thema’s en plug-ins om uw website er nog net iets mooier te laten uitzien. Het aantal plug-ins is inmiddels al opgelopen tot om en nabij de 60.000. Wordpress is in alle gangbare talen beschikbaar en wordt tot in de verste uithoeken van de wereld gebruikt. In het content management systeem kunnen ook eenvoudig vertalingen worden ingevoerd.

 

Veel van de plug-ins worden vaak gemaakt door ict’ers, die daarmee een gat in de markt proberen te vinden. Maar lang niet elke plugin wordt zodanig veel gedownload, dat men daarvan kan rondkomen. Bovendien is het nadeel ook vaak, dat een plug-in door de maker bijgehouden moet worden en bij nieuwe WordPress-updates moet worden aangepast. Veel van de makers hebben hun interesses inmiddels al weer verlegd en haken dan af en houden de plug-in niet meer bij. Gaat update WordPress voor problemen zorgen?

Gevaarlijke update in december voor oude websites

Misschien heeft u jaren geleden een keer een website gemaakt of laten maken in WordPress en heeft u er daarna nooit meer naar omgekeken. De website draait wellicht nog op een oude WordPress-versie en mogelijk zijn ook veel plug-ins verouderd. U staat daarin niet alleen, want dit is iets dat bij veel kleinere bedrijven en zzp’ers voorkomt. “Zolang de website nog maar online is, is alles goed”.

Elke website, die afhankelijk is van de jQuery Migrate-plug-in zal in december zeer waarschijnlijk niet meer online zijn, of er op zijn minst niet meer fatsoenlijk uitzien.  WordPress is bezig met een geplande modernisering van het gebruik van jQuery in drie fasen. jQuery is een set scripts die websites functionaliteit geeft, zoals animatie, interactieve elementen aan webpagina’s toevoegt en het maken van plug-ins en thema’s gemakkelijker maakt, omdat het de functies van websites verwerkt en CSS ermee manipuleert. Oudere versies van jQuery worden echter nog steeds gebruikt in veel plug-ins en thema’s.

 

WordPress 5.5

WordPress 5.5 was de eerste stap naar het moderniseren van WordPress door het hele WordPress-ecosysteem te dwingen hun code bij te werken en gebruik te maken van de nieuwste en veiligste versie van jQuery. De eerste stap was het verwijderen van de jQuery Migrate 1.x-bibliotheek. jQuery Migrate is code waarmee een website met plug-ins die oudere versies van jQuery gebruiken, toch kan blijven functioneren. Het maakt een WordPress-site compatibel met plug-ins en thema’s die nog steeds gebruik maken van oudere jQuery-scripts.

WordPress heeft deze stappen maanden van tevoren aangekondigd. Ontwikkelaars van plug-ins en thema werden tijdig gewaarschuwd dat jQuery zou worden verwijderd, waardoor ze voldoende tijd hadden om hun software bij te werken. Toen WordPress in augustus 2020 versie 5.5 uitbracht, werkten miljoenen websites niet meer naar behoren.

Sommige mensen hadden geen toegang meer tot hun sites en konden niet inloggen op hun beheerdersdashboard. Andere websites werden niet meer volledig weergegeven. WordPress heeft daarom een plug-in uitgebracht met de naam Enable jQuery Migrate Helper om alle kapotte websites te herstellen. Miljoenen websites werden hersteld en werken weer als voorheen.

In december wordt WordPress 5.6 gelanceerd

WordPress 5.6 is stap twee van het moderniseren van het gebruik van jQuery door de jQuery Migrate-bibliotheek bij te werken naar de nieuwste versie 3.3.1. Het effect hiervan is dat sites die vertrouwen op de Enable jQuery Migrate Helper om te voorkomen dat hun sites uit elkaar vallen, opnieuw getroffen worden. Dat betekent dat de functionaliteit wegvalt voor websites, die nog steeds vertrouwen op deze plug-in om hun site te laten functioneren. Door WordPress 5.6 zal de Enable jQuery Migrate Helper onbruikbaar worden.

Veel ontwikkelaars van plug-ins en thema’s hebben hun software bijgewerkt naar de nieuwste versie van jQuery en hebben het probleem opgelost. Gebruikers van die producten zouden geen probleem moeten hebben. Maar er zijn ook veel thema’s en plug-ins die niet langer worden onderhouden en er kunnen anderen zijn die hun code nog niet hebben bijgewerkt. Gebruikers van die producten zullen hun websites waarschijnlijk niet meer goed zien werken.

Zal WordPress 5.6 uw website om zeep helpen?

Als u momenteel nog de plug-in Enable jQuery Migrate Helper gebruikt en u bij het inloggen op uw admin-paneel foutmeldingen ziet, dan kunt u onverwacht websitegedrag ervaren wanneer WordPress is bijgewerkt naar versie 5.6. Als de Enable jQuery Migrate Helper geen fouten rapporteert, betekent dit dat uw thema’s en plug-ins hun jQuery-bibliotheken hebben bijgewerkt en dat de site goed moet blijven werken.

Vertalen

En als u dan toch moet gaan updaten is wellicht ook het moment aangebroken om uw vleugels uit te slaan en buitenlandse markten te veroveren. Bij Aabévé Vertaalbureau hebben wij altijd de juiste oplossing om uw teksten te vertalen. Heeft u vragen? Neem dan contact op via 024-8200778 of stuur ons een mail. Wij helpen u graag!